/*
 * This file is part of pyfreespace.
 *
 * Copyright (c) 2009 Hillcrest Laboratories, Inc.
 *
 * pyfreespace is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

#ifndef FREESPACEDEVICEOBJECT_H_
#define FREESPACEDEVICEOBJECT_H_

#include "Python.h"
#include "freespace/freespace.h"

/* ----------------------------------------------------- */
/* Declarations for objects of type FreespaceDevice */

typedef struct {
    PyObject_HEAD

    FreespaceDeviceId freespaceDevice;

    /** The user-meaningful name for the device. */
    PyObject* name;

    /** Device vendor ID code */
    int vendor;

    /** Product ID */
    int product;
} FreespaceDeviceObject;

static PyTypeObject FreespaceDeviceType;

PyObject* createDeviceObject(FreespaceDeviceId id);


/**
 * Add Device object to the python extension module m
 */
void addDeviceObject(PyObject* m);

#endif /* FREESPACEDEVICEOBJECT_H_ */
