/*
 * This file is part of pyfreespace.
 *
 * Copyright (c) 2009 Hillcrest Laboratories, Inc.
 *
 * pyfreespace is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

#ifndef FREESPACEMODULEMESSAGES_H_
#define FREESPACEMODULEMESSAGES_H_

#include "Python.h"

#ifdef _WIN32
#include "freespace/win32_stdint.h"
#endif

/**
 * Add Python Message objects to the python extension module m
 */
void addMessageObjects(PyObject* m);

/**
 * Return a python object which represents the freespace message passed in
 */
PyObject* decodeMessage(const uint8_t* message, int length);

/**
 * Encode the python message object into message
 */
int encodeMessage(PyObject* messageObject, uint8_t* message, int maxlen);

#endif
