#!/usr/bin/env python

from pygame.locals import *
import pygame
from vector import *

WHITE = (255,255,255)

class Button:
    def __init__(self, myBox, onClickCallback):
        self.myBox = myBox
        self.onClick = onClickCallback

    def draw(self):
        pygame.draw.rect(pygame.display.get_surface(), WHITE, self.myBox, 5)
        pass
        
    def update(self, paddleList):
        for paddle in paddleList:
            if paddle.bodyFrame is None:
                continue
            if not paddle.button1Pressed:
                continue
            # button1 was clicked!!
            if self.myBox.collidepoint(paddle.position.x, paddle.position.y):
                self.onClick(paddle)
        
class TextButton(Button):
    def __init__(self, myBox, onClickCallback, text):
        self.text = text
        self.font = pygame.font.Font(pygame.font.get_default_font(), 36)
        myBox.width, myBox.height = self.font.size(self.text)
        myBox.width += 10
        myBox.height += 10
        Button.__init__(self, myBox, onClickCallback)
        
    def draw(self):
        pygame.draw.rect(pygame.display.get_surface(), WHITE, self.myBox, 5)
        textSurface = self.font.render(self.text, True, WHITE)
        default = pygame.display.get_surface()
        textOrigin = Rect(self.myBox)
        textOrigin.left += 3
        textOrigin.top += 3
        default.blit(textSurface, textOrigin)
